/* Modal: fundo com blur */
.form-modal {
  position: fixed;
  inset: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
  pointer-events: none;
  opacity: 0;
  transition: opacity 0.3s ease;
}

.form-modal.visivel {
  pointer-events: all;
  opacity: 1;
}

.form-overlay {
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.6);
  backdrop-filter: blur(4px);
  z-index: 0;
}

/* ANIMAÇÃO DE ENTRADA E SAÍDA */
.form-container {
  position: relative;
  background: #fff;
  padding: 3rem;
  border-radius: 2.5rem;
  width: 90%;
  max-width: 400px;
  z-index: 1;
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.3);

  transform: scale(0.95);
  opacity: 0;
  transition: all 0.3s ease;
}

.form-modal.visivel .form-container {
  transform: scale(1);
  opacity: 1;
}

.form-container .head {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-direction: row;
  margin-bottom: 2rem;
}

.form-container h2 {
  text-align: left;
  font-size: 2rem;
}

.form-fechar {
  font-size: 3rem;
  color: #000;
  background: #00000031;
  border-radius: 100%;
  cursor: pointer;
  font-weight: 400;
  line-height: 1;
  width: 3rem;
  height: 3rem;
  max-width: 3rem;
  max-height: 3rem;
  transition: all 300ms ease-in-out;
}

.form-fechar:hover {
  transform: scale(1.05);
}

.form-container input {
  display: block;
  width: 100%;
  margin-bottom: 1rem;
  padding: 1.5rem;
  font-size: 1.6rem;
  border: 1px solid #ccc;
  border-radius: 1rem;
}

.form-container input:focus {
  outline: 2px solid var(--primary-color);
  border: none;
}

.form-container .button {
  display: grid;
  grid-template-columns: 4fr 1fr;
  gap: .5rem;
  transition: all 300ms ease-in-out;
}

.form-container .button:hover {
  filter: brightness(1.2);
}

.form-container button {
  background: #000;
  color: #fff;
  width: 100%;
  border: none;
  border-radius: 1rem;
  font-size: 1.6rem;
  padding: 2rem;
  cursor: pointer;
  margin-top: 2rem;
  font-weight: 500;
  background: linear-gradient(135deg, #25D366 0%, #1ebe5d 45%, #128C4A 100%);
  transition: all 300ms ease-in-out;
}

.form-container button.icon ion-icon {
  color: #fff;
  line-height: 0;
  margin-bottom: -.3rem;
}

.form-container .button:hover button.icon {
  transform: translateX(5px);
}

/* TEMA DARK OPCIONAL */
.form-modal.black .form-container {
  background: #000000;
  border: 3px solid #ffffff12;
}

.form-modal.black .form-container h2 {
  color: #fff;
}

.form-modal.black .form-fechar {
  font-size: 3rem;
  color: #fff;
  background: #ffffff31;
}

.form-modal.black .form-container input {
  background: transparent;
  border: 1px solid #ffffff20;
  color: #fff;
}

@media (min-width: 1080px) {
  .form-container {
    padding: 4rem;
    max-width: 450px;
  }

  .form-container .button {
    grid-template-columns: 4.5fr 1fr;
  }
}